Contents

# Syntax

This section describes the basic syntax elements of LibreOffice Basic. For a detailed description please refer to the LibreOffice Basic Guide which is available separately.

## عام

The following describes the basic use of variables in LibreOffice Basic.

## Using the Object Catalog

The object catalog provides an overview of all modules and dialogs you have created in LibreOffice.

## Using Procedures, Functions and Properties

The following describes the basic use of procedures, functions and properties in LibreOffice Basic.

## Libraries, Modules and Dialogs

The following describes the basic use of libraries, modules and dialogs in LibreOffice Basic.